Job Offers

Job Offers

8OAS 3.0

Job and apprenticeship announcements. See Wiki

API Base URL
  • Server 1:https://api.migros.ch

    Public Kong Gateway URL

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Additional Information
Contact MGB-UDP-Products-Services (arg_mgb-udp-products-services@mgb.ch)

Job Offers

List all jobs with pagination and searching

Returns a paged list of jobs and provides search functionality.

get
https://api.migros.ch/migros/human-resources/v8/jobs

Query Parameters

searchstring

Simple search string which is fault-tolerant for user-entered text.

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

sortstring

The sorting criteria.

Allowed values:scoredate_fromdate_totitlecompanylocation

Default:score

orderstring

The ordering direction.

Allowed values:ascdesc

Default:asc

viewstring

Show specific types of jobs, where ‘browse’ is hiding internal jobs and ‘internal’ only shows the internal ones. If a job has both internal and external channels, it only shows up in browse but not in internal. ‘all’ shows all jobs regardless of channels.

Allowed values:allbrowseinternal

Default:browse

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

200 application/json

Returned when successful

JobCollection

A collection of job instances.

idsarray[string]

Ids only.

Is filled instead of the usual property for content, with only the ids when a call is made with verbosity=id on a
route that supports it.

total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

jobsarray[object]required

Job advertisements from the karriere portal.

Show Child Parameters
get/migros/human-resources/v8/jobs
 
200 application/json